#include <SPI.h>
#include <Ethernet.h>
#include <inttypes.h>
#include <IEEE1888ServerAgent.h>

#include <EEPROM.h>


void fetchData(char* pointID,char* time,char* value);
void writeData(char* pointID,char* time,char* value);

byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
IPAddress ip(10,1,1,188);
IPAddress gateway(10,1,1, 1);
IPAddress subnet(255, 255, 255, 0);

void setup(){

	Ethernet.begin(mac, ip, gateway, subnet);
	Serial.begin(9600);
	serverCreate();
	setHandler(&query,&data,&fault);
	
	Serial.print("Chat server address:");
	Serial.println(Ethernet.localIP());

}

void loop(){
	serverRun();
}

void query (char* pointID,char* time,char* value){
	Serial.println("fetch");
	
/*	int i;
	if(EEPROM.read(0)!=0xaa || EEPROM.read(1)!=0x55 || EEPROM.read(2) != 0x66) 
	{
		return ;
	} 
	for(i=0; i<64; i++){
		pointID[i] = EEPROM.read(i+3);
	} 
	for(i=0; i<30; i++){
		time[i] = EEPROM.read(i+67);
	} 
	for(i=0; i<16; i++){
		value[i] = EEPROM.read(i+97);
	} 
*/
	fetchData( pointID, time, value);
}
/*
char* query (char* pointId){
	Serial.println("fetch");
	return "1024";
}*/

int data(char* pointID,char* value,char* time){
	Serial.println("data ok!!!!!!");
	Serial.println(pointID);
	Serial.println(value);
	Serial.println(time);
	
/*	int i = 0;
   EEPROM.write(0,0xaa);
   EEPROM.write(1,0x55);
   EEPROM.write(2,0x66);
	for(i=0; i<64; i++){
		EEPROM.write(i+3,pointID[i]);
	} 
	for(i=0; i<30; i++){
		EEPROM.write(i+67,time[i]);
	} 
	for(i=0; i<16; i++){
		EEPROM.write(i+97,value[i]);
	} */
	writeData(pointID,time,value);
	
	return 0;
}
/*
int data(char* pointID,char* value){
	Serial.println("data ok!!!!!!");
	Serial.println(pointID);
	Serial.println(value);
	return 0;
}*/


void fault(char* faultString){
	
}
